#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, i, j, x=1, m;
    scanf("%d %d", &n, &k);
    int a[n];
    for(i=1; i<=n; i++){
        scanf("%d", &a[i]);
    }
    for(j=1; j<=n+1; j++){
        if(a[j]==k){
            if(a[j]==a[n]){
                m=a[x];
                printf("%d", m);
            }
            else{
                m=a[j+1];
                printf("%d", m);
            }
        }
    }
}